(**  *)
(** {{:http://www.sfml-dev.org/documentation/2.0/classsf_1_1Shader.php}
  Online documentation for the Shader class} *)

type t
external loadFromFile :
  ?vertexShaderFilename:string -> ?fragmentShaderFilename:string -> unit -> t
  = "caml_sfShader_loadFromFile"
external loadFromMemory :
  ?vertexShader:string -> ?fragmentShader:string -> unit -> t
  = "caml_sfShader_loadFromMemory"
type input = [ `Buffer of string | `Filename of string ]
val load : ?vertexShader:input -> ?fragmentShader:input -> unit -> t
external destroy : shader:t -> unit = "caml_sfShader_destroy"
external bind : shader:t -> unit = "caml_sfShader_bind"
external isAvailable : unit -> bool = "caml_sfShader_isAvailable"
external setFloatParameter : shader:t -> name:string -> x:float -> unit
  = "caml_sfShader_setFloatParameter"
external setFloat2Parameter :
  shader:t -> name:string -> x:float -> y:float -> unit
  = "caml_sfShader_setFloat2Parameter"
external setFloat3Parameter :
  shader:t -> name:string -> x:float -> y:float -> z:float -> unit
  = "caml_sfShader_setFloat3Parameter"
external setFloat4Parameter :
  shader:t -> name:string -> x:float -> y:float -> z:float -> w:float -> unit
  = "caml_sfShader_setFloat4Parameter_bytecode"
  "caml_sfShader_setFloat4Parameter_native"
