(**  *)
(** {{:http://www.sfml-dev.org/documentation/2.0/classsf_1_1UdpSocket.php}
  Online documentation for the UdpSocket class} *)

type t
exception Socket_Not_Ready
exception Socket_Disconnected
exception Socket_Error
val init : unit -> unit
external create : unit -> t = "caml_sfUdpSocket_create"
external destroy : socket:t -> unit = "caml_sfUdpSocket_destroy"
external setBlocking : socket:t -> blocking:bool -> unit
  = "caml_sfUdpSocket_setBlocking"
external bind : socket:t -> port:int -> unit = "caml_sfUdpSocket_bind"
external unbind : socket:t -> unit = "caml_sfUdpSocket_unbind"
external send :
  socket:t -> data:string -> address:SFIpAddress.t -> port:int -> unit
  = "caml_sfUdpSocket_send"
external receive : socket:t -> data:string -> int * SFIpAddress.t * int
  = "caml_sfUdpSocket_receive"
external sendPacket :
  socket:t -> packet:SFPacket.t -> address:SFIpAddress.t -> port:int -> unit
  = "caml_sfUdpSocket_sendPacket"
external receivePacket : socket:t -> packet:SFPacket.t -> SFIpAddress.t * int
  = "caml_sfUdpSocket_receivePacket"
external isBlocking : socket:t -> bool = "caml_sfUdpSocket_isBlocking"
external getLocalPort : socket:t -> int = "caml_sfUdpSocket_getLocalPort"
external maxDatagramSize : unit -> int = "caml_sfUdpSocket_maxDatagramSize"
val link_me : unit
